CREATE TABLE "OTHQ_OWN"."SRC_OSEARCH_TELEMETRY_SPAN_PRODUCT_INSIGHTS_1_TB"
(
    ID VARCHAR2(64 BYTE),
    TIMESTAMP_ DATE,
    ATTRIBUTES_CUSTOMERID VARCHAR2(32 BYTE),
    ATTRIBUTES_NSENTITY_ID NUMBER,
    ATTRIBUTES_NSSESSION_ID VARCHAR2(256 BYTE),
    TRACEID VARCHAR2(64 BYTE),
    SPANID VARCHAR2(32 BYTE),
    PARENTID VARCHAR2(32 BYTE),
    NAME VARCHAR2(64 BYTE),
    ATTRIBUTES_PRODUCTVERSION VARCHAR2(16 BYTE),
    ATTRIBUTES_PAGEPATH VARCHAR2(128 BYTE),
    ATTRIBUTES_NSNAVIGATION_TYPE VARCHAR2(8 BYTE),
    ATTRIBUTES_NSNAVIGATIONURL_PATH VARCHAR2(128 BYTE),
    ATTRIBUTES_NSNAVIGATIONURL_QUERY_PARAMS VARCHAR2(2048 BYTE),
    ATTRIBUTES_NSNAVIGATIONSTARTURL_PATH VARCHAR2(128 BYTE),
    ATTRIBUTES_NSNAVIGATIONSTARTURL_PATHID NUMBER,
    ATTRIBUTES_NSNAVIGATIONSTARTURL_QUERY_PARAMS VARCHAR2(2048 BYTE),
    ATTRIBUTES_NSNAVIGATIONENDURL_PATH VARCHAR2(128 BYTE),
    ATTRIBUTES_NSNAVIGATIONENDURL_PATHID NUMBER,
    ATTRIBUTES_NSNAVIGATIONENDURL_QUERY_PARAMS VARCHAR2(2048 BYTE),
    ATTRIBUTES_NSNAVIGATIONREDIRECTED VARCHAR2(8 BYTE),
    ATTRIBUTES_NSNAVIGATIONREDIRECTIONORIGIN VARCHAR2(128 BYTE),
    ATTRIBUTES_NSSOFT_NAVIGATIONNON_INSTRUMENTED VARCHAR2(8 BYTE),
    ATTRIBUTES_NSPOPSTATEEVENT_DIRECTION VARCHAR2(8 BYTE),
    ATTRIBUTES_NSPOPSTATEFROM_PAGE_ID NUMBER,
    ATTRIBUTES_NSPOPSTATETO_PAGE_ID NUMBER,
    ATTRIBUTES_NSPOPSTATEHAS_BEFORE_NAVIGATION_CALLBACK VARCHAR2(8 BYTE),
    ATTRIBUTES_NSPOPSTATESOURCE_PATH VARCHAR2(128 BYTE),
    ATTRIBUTES_NSPOPSTATEWAS_REVERT VARCHAR2(8 BYTE),
    ATTRIBUTES_CONTAINERTYPE VARCHAR2(8 BYTE),
    ATTRIBUTES_CONTAINEREVENT VARCHAR2(32 BYTE),
    ATTRIBUTES_CONTAINERID VARCHAR2(8 BYTE),
    ATTRIBUTES_CONTAINERPARENT_ID VARCHAR2(8 BYTE),
    ATTRIBUTES_CONTAINERPATH VARCHAR2(8 BYTE),
    ATTRIBUTES_NSCOMPONENT_TYPE VARCHAR2(32 BYTE),
    ATTRIBUTES_NSEVENT_NAME VARCHAR2(32 BYTE),
    ATTRIBUTES_TRIGGERTAG_NAME VARCHAR2(64 BYTE),
    ATTRIBUTES_TRIGGERTYPE VARCHAR2(64 BYTE),
    ATTRIBUTES_TRIGGERTARGET VARCHAR2(512 BYTE),
    ATTRIBUTES_TRIGGERLABEL VARCHAR2(128 BYTE),
    ATTRIBUTES_NSRECORD_ID NUMBER,
    ATTRIBUTES_NSACTION_ROOTENDED_BY VARCHAR2(64 BYTE),
    ATTRIBUTES_NSACTION_ROOTINTERRUPTION_EVENT VARCHAR2(64 BYTE),
    ATTRIBUTES_NSACTION_TYPE VARCHAR2(8 BYTE),
    ATTRIBUTES_NSACTION_SUBTYPE VARCHAR2(8 BYTE),
    ATTRIBUTES_NSOPERATION_IDS VARCHAR2(16384 BYTE),
    METADATA_DOWNLOADED_TIMESTAMP_UTC DATE,
    METADATA_REGION VARCHAR2(8 BYTE),
    CONSTRAINT PK_SRC_OSEARCH_TELEMETRY_SPAN_PRODUCT_INSIGHTS_1_TB PRIMARY KEY (ID, METADATA_REGION)
);